
# Version History

| Version | Date       | Changes                                                                                                                                                                                                                                                                                             |
|---------|------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| 5.12    | 20.02.2020 | Not so intial release                                                                                                                                                                                                                                                                               |
| 5.13    | 25.02.2020 | Added mapping description for customsAssessmemt message in CH and DE.                                                                                                                                                                                                                               |
| 5.48    | 23.04.2021 | Added "Matter Code" and "Complete Declaration" for ATLAS VZA/AZ in import and customs warehouse.                                                                                                                                                                                                    |
| 5.50    | 06.05.2021 | Added 'cashbackPercent' for grossPrice-related calculations in ATLAS Einfuhr/AV/ZL                                                                                                                                                                                                                  |
| 5.51    | 20.07.2021 | Allow non-german Customs Office Codes for intendedExitOffice and CustomsStatusResponse                                                                                                                                                                                                              |
| 5.52    | 30.08.2021 | Make Optionality of Parties Type Contact and Address independent                                                                                                                                                                                                                                    |
| 5.53    | 02.09.2021 | Describe mapping of certificates in ATLAS AES                                                                                                                                                                                                                                                       |
| 5.54    | 05.09.2021 | Map containers on conveyance level, too                                                                                                                                                                                                                                                             |
| 5.55    | 14.10.2021 | Use internationalCustomsOffice for firstEntryOffice to allow IESNN400                                                                                                                                                                                                                               |
| 5.58    | 26.01.2022 | Add loadingPlace for NL-NCTS                                                                                                                                                                                                                                                                        |
| 5.59    | 04.05.2022 | Added mapping for "ATLAS SumA Aufteilung".<br/>Added new field "defermentType" to "accountDetails" in "DE/Import".<br/>Added new field "numberOfContainers" to "transportData" in "conveyance".<br/>Added new field "itemNo" to "identificationDetails" in "DE/SumA".                               |
| 5.60    | 30.05.2022 | Added new field "idByKey" to "identificationDetails"<br/>"idByKey" contains "SPO" and "custodian"                                                                                                                                                                                                   |
| 5.75    | 12.01.2023 | Added support for ATLAS AV                                                                                                                                                                                                                                                                          |
| 5.76    | 01.02.2023 | Enhanced response customsAssessment to provide amounts on item level.                                                                                                                                                                                                                               |
| 5.77    | 23.02.2023 | Added "transportDocument" to integration messages for ATLAS SumA.                                                                                                                                                                                                                                   |
| 5.78    | 02.03.2023 | Enhanced mappings for responses for ATLAS AES 3.0 EXT.<br/>Added mapping for integrations messages for ATLAS NCTS 9.1.<br/>Added mapping for integrations messages for ATLAS AES 3.0.                                                                                                               |
| 5.79    | 10.03.2023 | Added "businessType" to integrations messages for ATLAS AES 3.0 EXP.                                                                                                                                                                                                                                |
| 5.80    | 30.03.2023 | Added "scac" (Sea Carrier Alpha Code) for integration messages.                                                                                                                                                                                                                                     |
| 5.81    | 20.07.2023 | The data type "containerNoType" allows single spaces within a container no.                                                                                                                                                                                                                         |
| 5.82    | 27.07.2023 | Changed "docCode" to allow up to 8 characters.<br/>Changed "goodsDescription" to allow up to 512 characters.<br/>Added "outwardProcessing" to integrations messages for ATLAS AES 3.0.                                                                                                              |
| 5.83    | 01.08.2023 | Changed "packageNumber" to allow up to 8 digits.                                                                                                                                                                                                                                                    |
| 5.84    | 02.08.2023 | Added "containerISOCode" to transportEquipment                                                                                                                                                                                                                                                      |
| 5.85    | 10.08.2023 | Enhanced mappings for ATLAS AES 3.0 EXT messages.<br/>Removed unused mappings from ATLAS NCTS 9.1.<br/>Changed "handlingNotice" to allow up to 1024 characters.                                                                                                                                     |
| 5.86    | 17.08.2023 | Changed "tarifNumberAddition" to allow 1-4 characters.<br/>Added "transportPaymentMethod" to the header level of ATLAS AES 2.4 EXP.                                                                                                                                                                 |
| 5.87    | 21.08.2023 | Changed all customs offices to use the same data type "customsOffice", which supports 2 letter followed by 6 letters or digits.                                                                                                                                                                     |
| 5.88    | 23.08.2023 | Enhanced mapping for ATLAS AES 2.4 to support annotation ("Vermerk").<br/>Changed "docAddition" to support up to 35 characters.                                                                                                                                                                     |
| 5.89    | 29.08.2023 | Changed "senderReference" to allow up to 70 characters                                                                                                                                                                                                                                              |
| 5.90    | 08.09.2023 | Added new field "decisiveDate" and enhanced mapping for ATLAS AES 3.0.<br/>Added new mapping for ICS2 F26.                                                                                                                                                                                          |
| 5.91    | 12.09.2023 | Enhanced mapping for ATLAS NCTS 9.1 to include the flags in ItemNCTSData.                                                                                                                                                                                                                           |
| 5.92    | 21.09.2023 | Added "principal" to allow mapping of the principal ("Für Rechnung") in ATLAS Import.<br/>Added "typeOfPerson" to the "partiesType" for ICS2.                                                                                                                                                       |
| 5.93    | 25.09.2023 | Enhanced mapping for ATLAS NCTS 9.1 to include the "transportModeBorder".                                                                                                                                                                                                                           |
| 5.94    | 29.09.2023 | Enhanced mapping for ATLAS Einfuhr to control the automatic updates of referments.                                                                                                                                                                                                                  |
| 5.95    | 04.10.2023 | Fixed mapping for the exit notification in ATLAS AES 3.0 EXT .<br/>Enhanced all mappings in the folder CustomsOrder to include ETD, ETA, ATA, ATD and some party refrences.<br/>ETD, ETA, ATA and ATD allow dates or timepoints.                                                                    |
| 5.96    | 05.10.2023 | Added new qualificationType LP for ATLAS AES 3.0 EXT.                                                                                                                                                                                                                                               |
| 5.97    | 06.10.2023 | No changes                                                                                                                                                                                                                                                                                          |
| 5.98    | 17.10.2023 | Enhanced mapping for ATLAS NCTS 9.1 to include the "prevDocItem".<br/>Enhanced mapping for ATLAS AES 3.0 EXP for the following fields: "meansOfTransportDeparture", "meansOfTransportBorder", "containerNo", "secSender" and "customsDocs"                                                          |
| 5.99    | 02.11.2023 | Enhanced mapping for ATLAS NCTS 9.1 to include the "arrivalDateAndTimeEstimated" for "transitOffice".                                                                                                                                                                                               |
| 5.100   | 29.11.2023 | Enhanced mapping for the "locationOfGoods" in ATLAS AES 3.0 declarations.                                                                                                                                                                                                                           |
| 5.101   | 05.12.2023 | Enhanced mapping for the "commercialDocs" in ATLAS AES 3.0.    <br/>                                                                                                                                                                                                   <br/>                        |
| 5.102   | 02.01.2024 | Enhanced mapping for the "prevDocData" in ATLAS AES 3.0 declarations.                                                                                                                                                                                                                               |
| 5.103   | 14.02.2024 | Removed customsDocument, as the Scope Document Interface should be used instead.                                                                                                                                                                                                                    |
| 5.105   | 06.05.2024 | Added description to transit flag in Atlas SumA mappings and changed "previousDocNumber" to allow up to 30 characters.<br/>Enhanced PartiesType to allow more than one reference.<br/>Added importTerminal to transportData for CustomsOrder.                                                       |
| 5.106   | 27.05.2024 | Added new file V5_AT_NCTS_IE015.xml for mapping the new austrian ncts schema.<br/>Changed "DEWriteOffATNEUType" to allow up to 999 "ATB" and "AWB".                                                                                                                                                 |
| 5.107   | 06.06.2024 | Added "authorisationType" and "customsOfficeOfSupervision" to "WriteOff" to enhance mapping for ATLAS AES 3.0 and ATLAS NCTS 9.1 declarations.<br/>Added "equipmentItemReference" on house level to enhance mapping for ATLAS AES 3.0 declarations.<br/>Added mapping for German IMPOST procedures. |
| 5.108   | 18.06.2024 | Added "authorisation" to "houseShipmentCustomsType" and enhanced mapping for ATLAS AES 3.0 declarations.                                                                                                                                                                                            |
| 5.111   | 19.08.2024 | Added various fields required for ATLAS 10.1: "mrn" and "originalMRN" were added to writoff element. "carrier", "receptacleIdentification" and "containerNumber" to SumA items.                                                                                                                     |
| 5.112   | 11.10.2024 | Added new file V5_NL_DVA_Declaration.xml and V5_NL_DVA_Arrival.xml for mapping the new NL DVA declaration and arrival message. Added also V5_NL_DVA_IE015.xml and V5_NL_DVA_IE007.xml as examples.                                                                                                  |
| 5.113   | 17.10.2024 | Changed "registration" and "originalRegistration" in ATLAS write off elements, to be optional.                                                                                                                                                                                                      |
| 5.114   | 25.10.2024 | Add field arrivalDateAndTime to schema for DVA and update mapping and example for DVAIE015.                                                                                                                                                                                                         |
| 5.115   | 18.11.2024 | Added "client" to the recipient of integration messages. Added "release" as an alternative way to release inventory in German write offs from the bonded warehouse.                                                                                                                                 |
| 5.116   | 22.11.2024 | Update DVA mapping and example in order to add an alternative way to add transport equipment/goodsReferences                                                                                                                                                                                        |
| 5.117   | 06.01.2025 | Minor changes to some German mappings. Changed "versionType" to allow 3 digit minor versions.                                                                                                                                                                                                       |
| 5.118   | 17.01.2025 | Changed "docNo" to allow up to 70 characters.                                                                                                                                                                                                                                                       |
| 5.119   | 17.01.2025 | Added new file V5_PASSAR_NT015.xml for mapping passar ncts declarations.<br/>Added conveyanceReference to meansOfTransportType.<br/>Added TransportEquipment to prevDocType.<br/> Added otherReference to guaranteeDataType.<br/> Added Reason code and text to guaranteeDataType                   |
